Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -2264,102 +2237,100 @@
                io_lat)
 #endif
-       ENDIF
-
-       !$omp single
-       IF (read_climoz >= 1) CALL open_climoz(ncid_climoz, press_cen_climoz,   &
-           press_edg_climoz, time_climoz, ok_daily_climoz, adjust_tropopause)
-       !$omp end single
-       !
-       !IM betaCRF
-       pfree=70000. !Pa
-       beta_pbl=1.
-       beta_free=1.
-       lon1_beta=-180.
-       lon2_beta=+180.
-       lat1_beta=90.
-       lat2_beta=-90.
-       mskocean_beta=.FALSE.
-
-       !albedo SB >>>
-       SELECT CASE(nsw)
-       CASE(2)
-          SFRWL(1)=0.45538747
-          SFRWL(2)=0.54461211
-       CASE(4)
-          SFRWL(1)=0.45538747
-          SFRWL(2)=0.32870591
-          SFRWL(3)=0.18568763
-          SFRWL(4)=3.02191470E-02
-       CASE(6)
-          SFRWL(1)=1.28432794E-03
-          SFRWL(2)=0.12304168
-          SFRWL(3)=0.33106142
-          SFRWL(4)=0.32870591
-          SFRWL(5)=0.18568763
-          SFRWL(6)=3.02191470E-02
-       END SELECT
-       !albedo SB <<<
-
-       OPEN(99,file='beta_crf.data',status='old', &
-            form='formatted',err=9999)
-       READ(99,*,end=9998) pfree
-       READ(99,*,end=9998) beta_pbl
-       READ(99,*,end=9998) beta_free
-       READ(99,*,end=9998) lon1_beta
-       READ(99,*,end=9998) lon2_beta
-       READ(99,*,end=9998) lat1_beta
-       READ(99,*,end=9998) lat2_beta
-       READ(99,*,end=9998) mskocean_beta
-9998   Continue
-       CLOSE(99)
-9999   Continue
-       WRITE(*,*)'pfree=',pfree
-       WRITE(*,*)'beta_pbl=',beta_pbl
-       WRITE(*,*)'beta_free=',beta_free
-       WRITE(*,*)'lon1_beta=',lon1_beta
-       WRITE(*,*)'lon2_beta=',lon2_beta
-       WRITE(*,*)'lat1_beta=',lat1_beta
-       WRITE(*,*)'lat2_beta=',lat2_beta
-       WRITE(*,*)'mskocean_beta=',mskocean_beta
+      ENDIF
+
+      !$omp single
+      IF (read_climoz >= 1) CALL open_climoz(ncid_climoz, press_cen_climoz, &
+              press_edg_climoz, time_climoz, ok_daily_climoz, adjust_tropopause)
+      !$omp end single
+
+      !IM betaCRF
+      pfree = 70000. !Pa
+      beta_pbl = 1.
+      beta_free = 1.
+      lon1_beta = -180.
+      lon2_beta = +180.
+      lat1_beta = 90.
+      lat2_beta = -90.
+      mskocean_beta = .FALSE.
+
+      !albedo SB >>>
+      SELECT CASE(nsw)
+      CASE(2)
+        SFRWL(1) = 0.45538747
+        SFRWL(2) = 0.54461211
+      CASE(4)
+        SFRWL(1) = 0.45538747
+        SFRWL(2) = 0.32870591
+        SFRWL(3) = 0.18568763
+        SFRWL(4) = 3.02191470E-02
+      CASE(6)
+        SFRWL(1) = 1.28432794E-03
+        SFRWL(2) = 0.12304168
+        SFRWL(3) = 0.33106142
+        SFRWL(4) = 0.32870591
+        SFRWL(5) = 0.18568763
+        SFRWL(6) = 3.02191470E-02
+      END SELECT
+      !albedo SB <<<
+
+      OPEN(99, file = 'beta_crf.data', status = 'old', &
+              form = 'formatted', err = 9999)
+      READ(99, *, end = 9998) pfree
+      READ(99, *, end = 9998) beta_pbl
+      READ(99, *, end = 9998) beta_free
+      READ(99, *, end = 9998) lon1_beta
+      READ(99, *, end = 9998) lon2_beta
+      READ(99, *, end = 9998) lat1_beta
+      READ(99, *, end = 9998) lat2_beta
+      READ(99, *, end = 9998) mskocean_beta
+      9998   Continue
+      CLOSE(99)
+      9999   Continue
+      WRITE(*, *)'pfree=', pfree
+      WRITE(*, *)'beta_pbl=', beta_pbl
+      WRITE(*, *)'beta_free=', beta_free
+      WRITE(*, *)'lon1_beta=', lon1_beta
+      WRITE(*, *)'lon2_beta=', lon2_beta
+      WRITE(*, *)'lat1_beta=', lat1_beta
+      WRITE(*, *)'lat2_beta=', lat2_beta
+      WRITE(*, *)'mskocean_beta=', mskocean_beta
 
       !lwoff=y : offset LW CRE for radiation code and other schemes
       !lwoff=y : betalwoff=1.
-      betalwoff=0.
+      betalwoff = 0.
       IF (ok_lwoff) THEN
-         betalwoff=1.
-      ENDIF
-      WRITE(*,*)'ok_lwoff=',ok_lwoff
-      ! 
+        betalwoff = 1.
+      ENDIF
+      WRITE(*, *)'ok_lwoff=', ok_lwoff
+
       !lwoff=y to begin only sollw and sollwdown are set up to CS values
       sollw = sollw + betalwoff * (sollw0 - sollw)
-      sollwdown(:)= sollwdown(:) + betalwoff *(-1.*ZFLDN0(:,1) - &
-                    sollwdown(:))
-
-
+      sollwdown(:) = sollwdown(:) + betalwoff * (-1. * ZFLDN0(:, 1) - &
+              sollwdown(:))
 
     ENDIF
-    !
+
     !   ****************     Fin  de   IF ( debut  )   ***************
-    !
-    !
+
+
     ! Incrementer le compteur de la physique
-    !
-    itap   = itap + 1
+
+    itap = itap + 1
     IF (is_master .OR. prt_level > 9) THEN
-      IF (prt_level > 5 .or. MOD(itap,5) == 0) THEN
-         WRITE(LUNOUT,*)'Entering physics elapsed seconds since start ', current_time
-         WRITE(LUNOUT,100)year_cur,mth_cur,day_cur,hour/3600.
- 100     FORMAT('Date = ',i4.4,' / ',i2.2, ' / ',i2.2,' : ',f20.17)
+      IF (prt_level > 5 .or. MOD(itap, 5) == 0) THEN
+        WRITE(LUNOUT, *)'Entering physics elapsed seconds since start ', current_time
+        WRITE(LUNOUT, 100)year_cur, mth_cur, day_cur, hour / 3600.
+        100     FORMAT('Date = ', i4.4, ' / ', i2.2, ' / ', i2.2, ' : ', f20.17)
       ENDIF
     ENDIF
-    !
-    !
-    ! Update fraction of the sub-surfaces (pctsrf) and 
-    ! initialize, where a new fraction has appeared, all variables depending 
+
+
+    ! Update fraction of the sub-surfaces (pctsrf) and
+    ! initialize, where a new fraction has appeared, all variables depending
     ! on the surface fraction.
-    !
-    CALL change_srf_frac(itap, phys_tstep, days_elapsed+1,  &
-         pctsrf, fevap, z0m, z0h, agesno,              &
-         falb_dir, falb_dif, ftsol, ustar, u10m, v10m, pbl_tke)
+
+    CALL change_srf_frac(itap, phys_tstep, days_elapsed + 1, &
+            pctsrf, fevap, z0m, z0h, agesno, &
+            falb_dir, falb_dif, ftsol, ustar, u10m, v10m, pbl_tke)
 
     ! Update time and other variables in Reprobus
@@ -2374,136 +2345,136 @@
     ! Tendances bidons pour les processus qui n'affectent pas certaines
     ! variables.
-    du0(:,:)=0.
-    dv0(:,:)=0.
+    du0(:, :) = 0.
+    dv0(:, :) = 0.
     dt0 = 0.
-    dq0(:,:)=0.
-    dql0(:,:)=0.
-    dqi0(:,:)=0.
-    dqbs0(:,:)=0.
+    dq0(:, :) = 0.
+    dql0(:, :) = 0.
+    dqi0(:, :) = 0.
+    dqbs0(:, :) = 0.
     dsig0(:) = 0.
     ddens0(:) = 0.
-    wkoccur1(:)=1
-    !
+    wkoccur1(:) = 1
+
     ! Mettre a zero des variables de sortie (pour securite)
-    !
+
     DO i = 1, klon
-       d_ps(i) = 0.0
+      d_ps(i) = 0.0
     ENDDO
     DO k = 1, klev
-       DO i = 1, klon
-          d_t(i,k) = 0.0
-          d_u(i,k) = 0.0
-          d_v(i,k) = 0.0
-       ENDDO
+      DO i = 1, klon
+        d_t(i, k) = 0.0
+        d_u(i, k) = 0.0
+        d_v(i, k) = 0.0
+      ENDDO
     ENDDO
     DO iq = 1, nqtot
-       DO k = 1, klev
-          DO i = 1, klon
-             d_qx(i,k,iq) = 0.0
-          ENDDO
-       ENDDO
+      DO k = 1, klev
+        DO i = 1, klon
+          d_qx(i, k, iq) = 0.0
+        ENDDO
+      ENDDO
     ENDDO
-    beta_prec_fisrt(:,:)=0.
-    beta_prec(:,:)=0.
-    !
-    !   Output variables from the convective scheme should not be set to 0 
+    beta_prec_fisrt(:, :) = 0.
+    beta_prec(:, :) = 0.
+
+    !   Output variables from the convective scheme should not be set to 0
     !   since convection is not always called at every time step.
     IF (ok_bug_cv_trac) THEN
-      da(:,:)=0.
-      mp(:,:)=0.
-      phi(:,:,:)=0.
+      da(:, :) = 0.
+      mp(:, :) = 0.
+      phi(:, :, :) = 0.
       ! RomP >>>
-      phi2(:,:,:)=0.
-      epmlmMm(:,:,:)=0.
-      eplaMm(:,:)=0.
-      d1a(:,:)=0.
-      dam(:,:)=0.
-      pmflxr(:,:)=0.
-      pmflxs(:,:)=0.
+      phi2(:, :, :) = 0.
+      epmlmMm(:, :, :) = 0.
+      eplaMm(:, :) = 0.
+      d1a(:, :) = 0.
+      dam(:, :) = 0.
+      pmflxr(:, :) = 0.
+      pmflxs(:, :) = 0.
       ! RomP <<<
     ENDIF
-    !
+
     ! Ne pas affecter les valeurs entrees de u, v, h, et q
-    !
+
     DO k = 1, klev
-       DO i = 1, klon
-          t_seri(i,k)  = t(i,k)
-          u_seri(i,k)  = u(i,k)
-          v_seri(i,k)  = v(i,k)
-          q_seri(i,k)  = qx(i,k,ivap)
-          ql_seri(i,k) = qx(i,k,iliq)
-          qbs_seri(i,k) = 0.
-          !CR: ATTENTION, on rajoute la variable glace
-          IF (nqo==2) THEN             !--vapour and liquid only
-             qs_seri(i,k) = 0.
-             rneb_seri(i,k) = 0.
-          ELSE IF (nqo==3) THEN        !--vapour, liquid and ice
-             qs_seri(i,k) = qx(i,k,isol)
-             rneb_seri(i,k) = 0.
-          ELSE IF (nqo>=4) THEN        !--vapour, liquid, ice and rneb and blowing snow
-             qs_seri(i,k) = qx(i,k,isol)
-             IF (ok_ice_sursat) THEN
-               rneb_seri(i,k) = qx(i,k,irneb)
-             ENDIF
-             IF (ok_bs) THEN
-               qbs_seri(i,k)= qx(i,k,ibs)
-             ENDIF
+      DO i = 1, klon
+        t_seri(i, k) = t(i, k)
+        u_seri(i, k) = u(i, k)
+        v_seri(i, k) = v(i, k)
+        q_seri(i, k) = qx(i, k, ivap)
+        ql_seri(i, k) = qx(i, k, iliq)
+        qbs_seri(i, k) = 0.
+        !CR: ATTENTION, on rajoute la variable glace
+        IF (nqo==2) THEN             !--vapour and liquid only
+          qs_seri(i, k) = 0.
+          rneb_seri(i, k) = 0.
+        ELSE IF (nqo==3) THEN        !--vapour, liquid and ice
+          qs_seri(i, k) = qx(i, k, isol)
+          rneb_seri(i, k) = 0.
+        ELSE IF (nqo>=4) THEN        !--vapour, liquid, ice and rneb and blowing snow
+          qs_seri(i, k) = qx(i, k, isol)
+          IF (ok_ice_sursat) THEN
+            rneb_seri(i, k) = qx(i, k, irneb)
           ENDIF
-       ENDDO
+          IF (ok_bs) THEN
+            qbs_seri(i, k) = qx(i, k, ibs)
+          ENDIF
+        ENDIF
+      ENDDO
     ENDDO
-    !
-    !--OB water mass fixer 
+
+    !--OB water mass fixer
     IF (ok_water_mass_fixer) THEN
-    !--store initial water burden
-    qql1(:)=0.0
-    DO k = 1, klev
-      qql1(:)=qql1(:)+(q_seri(:,k)+ql_seri(:,k))*zmasse(:,k)
-      IF (nqo >= 3) THEN
-        qql1(:)=qql1(:)+qs_seri(:,k)*zmasse(:,k)
-      ENDIF
-      IF (ok_bs) THEN
-        qql1(:)=qql1(:)+qbs_seri(:,k)*zmasse(:,k)
-      ENDIF
-    ENDDO
+      !--store initial water burden
+      qql1(:) = 0.0
+      DO k = 1, klev
+        qql1(:) = qql1(:) + (q_seri(:, k) + ql_seri(:, k)) * zmasse(:, k)
+        IF (nqo >= 3) THEN
+          qql1(:) = qql1(:) + qs_seri(:, k) * zmasse(:, k)
+        ENDIF
+        IF (ok_bs) THEN
+          qql1(:) = qql1(:) + qbs_seri(:, k) * zmasse(:, k)
+        ENDIF
+      ENDDO
     ENDIF
     !--fin mass fixer
 
-    tke0(:,:)=pbl_tke(:,:,is_ave)
+    tke0(:, :) = pbl_tke(:, :, is_ave)
     IF (nqtot > nqo) THEN
-       ! water isotopes are not included in tr_seri
-       itr = 0
-       DO iq = 1, nqtot
-         IF(.NOT.tracers(iq)%isInPhysics) CYCLE
-         itr = itr+1
-          DO  k = 1, klev
-             DO  i = 1, klon
-                tr_seri(i,k,itr) = qx(i,k,iq)
-             ENDDO
+      ! water isotopes are not included in tr_seri
+      itr = 0
+      DO iq = 1, nqtot
+        IF(.NOT.tracers(iq)%isInPhysics) CYCLE
+        itr = itr + 1
+        DO  k = 1, klev
+          DO  i = 1, klon
+            tr_seri(i, k, itr) = qx(i, k, iq)
           ENDDO
-       ENDDO
+        ENDDO
+      ENDDO
     ELSE
-! DC: make sure the final "1" index was meant for 1st H2O phase (vapor) !!!
-       tr_seri(:,:,strIdx(tracers(:)%name,addPhase('H2O','g'))) = 0.0
+      ! DC: make sure the final "1" index was meant for 1st H2O phase (vapor) !!!
+      tr_seri(:, :, strIdx(tracers(:)%name, addPhase('H2O', 'g'))) = 0.0
     ENDIF
-!
-! Temporary solutions adressing ticket #104 and the non initialisation of tr_ancien
-! LF
+
+    ! Temporary solutions adressing ticket #104 and the non initialisation of tr_ancien
+    ! LF
     IF (debut) THEN
-      WRITE(lunout,*)' WARNING: tr_ancien initialised to tr_seri'
-       itr = 0
-       do iq = 1, nqtot
-         IF(.NOT.tracers(iq)%isInPhysics) CYCLE
-         itr = itr+1
-         tr_ancien(:,:,itr)=tr_seri(:,:,itr)       
-       enddo
+      WRITE(lunout, *)' WARNING: tr_ancien initialised to tr_seri'
+      itr = 0
+      do iq = 1, nqtot
+        IF(.NOT.tracers(iq)%isInPhysics) CYCLE
+        itr = itr + 1
+        tr_ancien(:, :, itr) = tr_seri(:, :, itr)
+      enddo
     ENDIF
-    !
+
     DO i = 1, klon
-       ztsol(i) = 0.
+      ztsol(i) = 0.
     ENDDO
     DO nsrf = 1, nbsrf
-       DO i = 1, klon
-          ztsol(i) = ztsol(i) + ftsol(i,nsrf)*pctsrf(i,nsrf)
-       ENDDO
+      DO i = 1, klon
+        ztsol(i) = ztsol(i) + ftsol(i, nsrf) * pctsrf(i, nsrf)
+      ENDDO
     ENDDO
     ! Initialize variables used for diagnostic purpose
@@ -2511,110 +2482,109 @@
 
     ! Diagnostiquer la tendance dynamique
-    !
+
     IF (ancien_ok) THEN
-    !
-       d_u_dyn(:,:)  = (u_seri(:,:)-u_ancien(:,:))/phys_tstep
-       d_v_dyn(:,:)  = (v_seri(:,:)-v_ancien(:,:))/phys_tstep
-       d_t_dyn(:,:)  = (t_seri(:,:)-t_ancien(:,:))/phys_tstep
-       d_q_dyn(:,:)  = (q_seri(:,:)-q_ancien(:,:))/phys_tstep
-       d_ql_dyn(:,:) = (ql_seri(:,:)-ql_ancien(:,:))/phys_tstep
-       d_qs_dyn(:,:) = (qs_seri(:,:)-qs_ancien(:,:))/phys_tstep
-       d_qbs_dyn(:,:) = (qbs_seri(:,:)-qbs_ancien(:,:))/phys_tstep
-       CALL water_int(klon,klev,q_seri,zmasse,zx_tmp_fi2d)
-       d_q_dyn2d(:)=(zx_tmp_fi2d(:)-prw_ancien(:))/phys_tstep
-       CALL water_int(klon,klev,ql_seri,zmasse,zx_tmp_fi2d)
-       d_ql_dyn2d(:)=(zx_tmp_fi2d(:)-prlw_ancien(:))/phys_tstep
-       CALL water_int(klon,klev,qs_seri,zmasse,zx_tmp_fi2d)
-       d_qs_dyn2d(:)=(zx_tmp_fi2d(:)-prsw_ancien(:))/phys_tstep
-       CALL water_int(klon,klev,qbs_seri,zmasse,zx_tmp_fi2d)
-       d_qbs_dyn2d(:)=(zx_tmp_fi2d(:)-prbsw_ancien(:))/phys_tstep
-       ! !! RomP >>>   td dyn traceur
-       IF (nqtot > nqo) d_tr_dyn(:,:,:)=(tr_seri(:,:,:)-tr_ancien(:,:,:))/phys_tstep
-       ! !! RomP <<<
-       !!d_rneb_dyn(:,:)=(rneb_seri(:,:)-rneb_ancien(:,:))/phys_tstep
-       d_rneb_dyn(:,:)=0.0
+
+      d_u_dyn(:, :) = (u_seri(:, :) - u_ancien(:, :)) / phys_tstep
+      d_v_dyn(:, :) = (v_seri(:, :) - v_ancien(:, :)) / phys_tstep
+      d_t_dyn(:, :) = (t_seri(:, :) - t_ancien(:, :)) / phys_tstep
+      d_q_dyn(:, :) = (q_seri(:, :) - q_ancien(:, :)) / phys_tstep
+      d_ql_dyn(:, :) = (ql_seri(:, :) - ql_ancien(:, :)) / phys_tstep
+      d_qs_dyn(:, :) = (qs_seri(:, :) - qs_ancien(:, :)) / phys_tstep
+      d_qbs_dyn(:, :) = (qbs_seri(:, :) - qbs_ancien(:, :)) / phys_tstep
+      CALL water_int(klon, klev, q_seri, zmasse, zx_tmp_fi2d)
+      d_q_dyn2d(:) = (zx_tmp_fi2d(:) - prw_ancien(:)) / phys_tstep
+      CALL water_int(klon, klev, ql_seri, zmasse, zx_tmp_fi2d)
+      d_ql_dyn2d(:) = (zx_tmp_fi2d(:) - prlw_ancien(:)) / phys_tstep
+      CALL water_int(klon, klev, qs_seri, zmasse, zx_tmp_fi2d)
+      d_qs_dyn2d(:) = (zx_tmp_fi2d(:) - prsw_ancien(:)) / phys_tstep
+      CALL water_int(klon, klev, qbs_seri, zmasse, zx_tmp_fi2d)
+      d_qbs_dyn2d(:) = (zx_tmp_fi2d(:) - prbsw_ancien(:)) / phys_tstep
+      ! !! RomP >>>   td dyn traceur
+      IF (nqtot > nqo) d_tr_dyn(:, :, :) = (tr_seri(:, :, :) - tr_ancien(:, :, :)) / phys_tstep
+      ! !! RomP <<<
+      !!d_rneb_dyn(:,:)=(rneb_seri(:,:)-rneb_ancien(:,:))/phys_tstep
+      d_rneb_dyn(:, :) = 0.0
     ELSE
-       d_u_dyn(:,:)  = 0.0
-       d_v_dyn(:,:)  = 0.0
-       d_t_dyn(:,:)  = 0.0
-       d_q_dyn(:,:)  = 0.0
-       d_ql_dyn(:,:) = 0.0
-       d_qs_dyn(:,:) = 0.0
-       d_q_dyn2d(:)  = 0.0
-       d_ql_dyn2d(:) = 0.0
-       d_qs_dyn2d(:) = 0.0
-       d_qbs_dyn2d(:)= 0.0
-       ! !! RomP >>>   td dyn traceur
-       IF (nqtot > nqo) d_tr_dyn(:,:,:)= 0.0
-       ! !! RomP <<<
-       d_rneb_dyn(:,:)=0.0
-       d_qbs_dyn(:,:)=0.0
-       ancien_ok = .TRUE.
+      d_u_dyn(:, :) = 0.0
+      d_v_dyn(:, :) = 0.0
+      d_t_dyn(:, :) = 0.0
+      d_q_dyn(:, :) = 0.0
+      d_ql_dyn(:, :) = 0.0
+      d_qs_dyn(:, :) = 0.0
+      d_q_dyn2d(:) = 0.0
+      d_ql_dyn2d(:) = 0.0
+      d_qs_dyn2d(:) = 0.0
+      d_qbs_dyn2d(:) = 0.0
+      ! !! RomP >>>   td dyn traceur
+      IF (nqtot > nqo) d_tr_dyn(:, :, :) = 0.0
+      ! !! RomP <<<
+      d_rneb_dyn(:, :) = 0.0
+      d_qbs_dyn(:, :) = 0.0
+      ancien_ok = .TRUE.
     ENDIF
-    !
+
     ! Ajouter le geopotentiel du sol:
-    !
+
     DO k = 1, klev
-       DO i = 1, klon
-          zphi(i,k) = pphi(i,k) + pphis(i)
-       ENDDO
+      DO i = 1, klon
+        zphi(i, k) = pphi(i, k) + pphis(i)
+      ENDDO
     ENDDO
-    !
+
     ! Verifier les temperatures
-    !
+
     !IM BEG
     IF (check) THEN
-       amn=MIN(ftsol(1,is_ter),1000.)
-       amx=MAX(ftsol(1,is_ter),-1000.)
-       DO i=2, klon
-          amn=MIN(ftsol(i,is_ter),amn)
-          amx=MAX(ftsol(i,is_ter),amx)
-       ENDDO
-       !
-       PRINT*,' debut avant hgardfou min max ftsol',itap,amn,amx
+      amn = MIN(ftsol(1, is_ter), 1000.)
+      amx = MAX(ftsol(1, is_ter), -1000.)
+      DO i = 2, klon
+        amn = MIN(ftsol(i, is_ter), amn)
+        amx = MAX(ftsol(i, is_ter), amx)
+      ENDDO
+
+      PRINT*, ' debut avant hgardfou min max ftsol', itap, amn, amx
     ENDIF !(check) THEN
     !IM END
-    !
-    CALL hgardfou(t_seri,ftsol,'debutphy',abortphy)
-    IF (abortphy==1) Print*,'ERROR ABORT hgardfou debutphy'
-
-    !
+
+    CALL hgardfou(t_seri, ftsol, 'debutphy', abortphy)
+    IF (abortphy==1) Print*, 'ERROR ABORT hgardfou debutphy'
+
     !IM BEG
     IF (check) THEN
-       amn=MIN(ftsol(1,is_ter),1000.)
-       amx=MAX(ftsol(1,is_ter),-1000.)
-       DO i=2, klon
-          amn=MIN(ftsol(i,is_ter),amn)
-          amx=MAX(ftsol(i,is_ter),amx)
-       ENDDO
-       !
-       PRINT*,' debut apres hgardfou min max ftsol',itap,amn,amx
+      amn = MIN(ftsol(1, is_ter), 1000.)
+      amx = MAX(ftsol(1, is_ter), -1000.)
+      DO i = 2, klon
+        amn = MIN(ftsol(i, is_ter), amn)
+        amx = MAX(ftsol(i, is_ter), amx)
+      ENDDO
+
+      PRINT*, ' debut apres hgardfou min max ftsol', itap, amn, amx
     ENDIF !(check) THEN
     !IM END
-    !
+
     ! Mettre en action les conditions aux limites (albedo, sst, etc.).
     ! Prescrire l'ozone et calculer l'albedo sur l'ocean.
-    !
+
     ! Update ozone if day change
-    IF (MOD(itap-1,lmt_pas) == 0) THEN
-       IF (read_climoz <= 0) THEN
-          ! Once per day, update ozone from Royer:
-          IF (solarlong0<-999.) then
-             ! Generic case with evolvoing season
-             zzz=real(days_elapsed+1)
-          ELSE IF (abs(solarlong0-1000.)<1.e-4) then
-             ! Particular case with annual mean insolation
-             zzz=real(90) ! could be revisited
-             IF (read_climoz/=-1) THEN
-                abort_message ='read_climoz=-1 is recommended when ' &
-                     // 'solarlong0=1000.'
-                CALL abort_physic (modname,abort_message,1)
-             ENDIF
-          ELSE
-             ! Case where the season is imposed with solarlong0
-             zzz=real(90) ! could be revisited
+    IF (MOD(itap - 1, lmt_pas) == 0) THEN
+      IF (read_climoz <= 0) THEN
+        ! Once per day, update ozone from Royer:
+        IF (solarlong0<-999.) then
+          ! Generic case with evolvoing season
+          zzz = real(days_elapsed + 1)
+        ELSE IF (abs(solarlong0 - 1000.)<1.e-4) then
+          ! Particular case with annual mean insolation
+          zzz = real(90) ! could be revisited
+          IF (read_climoz/=-1) THEN
+            abort_message = 'read_climoz=-1 is recommended when ' &
+                    // 'solarlong0=1000.'
+            CALL abort_physic (modname, abort_message, 1)
           ENDIF
-
-          wo(:,:,1)=ozonecm(latitude_deg, paprs,read_climoz,rjour=zzz)
+        ELSE
+          ! Case where the season is imposed with solarlong0
+          zzz = real(90) ! could be revisited
+        ENDIF
+
+        wo(:, :, 1) = ozonecm(latitude_deg, paprs, read_climoz, rjour = zzz)
 #ifdef REPROBUS
           ptrop=dyn_tropopause(t_seri, ztsol, paprs, pplay, rot)/100.
@@ -2625,5 +2595,5 @@
              B=Z2-fac*alog(pplay(i,itroprep(i)))
              ttrop(i)= fac*alog(ptrop(i))+B
-!
+
              Z1= 1.e-3 * ( pphi(i,itroprep(i)+1)+pphis(i) ) / gravit
              Z2= 1.e-3 * ( pphi(i,itroprep(i))  +pphis(i) ) / gravit
@@ -2633,39 +2603,39 @@
           ENDDO
 #endif
-       ELSE
-          !--- ro3i = elapsed days number since current year 1st january, 0h
-          ro3i=days_elapsed+jh_cur-jh_1jan
-          !--- scaling for old style files (360 records)
-          IF(SIZE(time_climoz)==360.AND..NOT.ok_daily_climoz) ro3i=ro3i*360./year_len
-          IF(adjust_tropopause) THEN
-             CALL regr_pr_time_av(ncid_climoz, vars_climoz(1:read_climoz),   &
-                      ro3i, 'C', press_cen_climoz, pplay, wo, paprs(:,1),    &
-                      time_climoz ,  longitude_deg,   latitude_deg,          &
-                      dyn_tropopause(t_seri, ztsol, paprs, pplay, rot))
-          ELSE
-             CALL regr_pr_time_av(ncid_climoz,  vars_climoz(1:read_climoz),  &
-                      ro3i, 'C', press_cen_climoz, pplay, wo, paprs(:,1),    &
-                      time_climoz )
-          ENDIF
-          ! Convert from mole fraction of ozone to column density of ozone in a
-          ! cell, in kDU:
-          FORALL (l = 1: read_climoz) wo(:, :, l) = wo(:, :, l) * rmo3 / rmd &
-               * zmasse / dobson_u / 1e3
-          ! (By regridding ozone values for LMDZ only once a day, we
-          ! have already neglected the variation of pressure in one
-          ! day. So do not recompute "wo" at each time step even if
-          ! "zmasse" changes a little.)
-       ENDIF
+      ELSE
+        !--- ro3i = elapsed days number since current year 1st january, 0h
+        ro3i = days_elapsed + jh_cur - jh_1jan
+        !--- scaling for old style files (360 records)
+        IF(SIZE(time_climoz)==360.AND..NOT.ok_daily_climoz) ro3i = ro3i * 360. / year_len
+        IF(adjust_tropopause) THEN
+          CALL regr_pr_time_av(ncid_climoz, vars_climoz(1:read_climoz), &
+                  ro3i, 'C', press_cen_climoz, pplay, wo, paprs(:, 1), &
+                  time_climoz, longitude_deg, latitude_deg, &
+                  dyn_tropopause(t_seri, ztsol, paprs, pplay, rot))
+        ELSE
+          CALL regr_pr_time_av(ncid_climoz, vars_climoz(1:read_climoz), &
+                  ro3i, 'C', press_cen_climoz, pplay, wo, paprs(:, 1), &
+                  time_climoz)
+        ENDIF
+        ! Convert from mole fraction of ozone to column density of ozone in a
+        ! cell, in kDU:
+        FORALL (l = 1:read_climoz) wo(:, :, l) = wo(:, :, l) * rmo3 / rmd &
+                * zmasse / dobson_u / 1e3
+        ! (By regridding ozone values for LMDZ only once a day, we
+        ! have already neglected the variation of pressure in one
+        ! day. So do not recompute "wo" at each time step even if
+        ! "zmasse" changes a little.)
+      ENDIF
     ENDIF
-    !
+
     ! Re-evaporer l'eau liquide nuageuse
-    !
-     CALL reevap (klon,klev,iflag_ice_thermo,t_seri,q_seri,ql_seri,qs_seri, &
-           d_t_eva,d_q_eva,d_ql_eva,d_qi_eva)
-
-     CALL add_phys_tend &
-            (du0,dv0,d_t_eva,d_q_eva,d_ql_eva,d_qi_eva,dqbs0,paprs,&
-               'eva',abortphy,flag_inhib_tend,itap,0)
-    CALL prt_enerbil('eva',itap)
+
+    CALL reevap (klon, klev, iflag_ice_thermo, t_seri, q_seri, ql_seri, qs_seri, &
+            d_t_eva, d_q_eva, d_ql_eva, d_qi_eva)
+
+    CALL add_phys_tend &
+            (du0, dv0, d_t_eva, d_q_eva, d_ql_eva, d_qi_eva, dqbs0, paprs, &
+            'eva', abortphy, flag_inhib_tend, itap, 0)
+    CALL prt_enerbil('eva', itap)
 
     !=========================================================================
@@ -2675,23 +2645,23 @@
 
     ! !!   jyg 17 Sep 2010 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    CALL ymds2ju(year_cur, mth_eq, day_eq,0., jD_eq)
+    CALL ymds2ju(year_cur, mth_eq, day_eq, 0., jD_eq)
     day_since_equinox = (jD_cur + jH_cur) - jD_eq
-    !
-    !   choix entre calcul de la longitude solaire vraie ou valeur fixee a 
+
+    !   choix entre calcul de la longitude solaire vraie ou valeur fixee a
     !   solarlong0
     IF (solarlong0<-999.) THEN
-       IF (new_orbit) THEN
-          ! calcul selon la routine utilisee pour les planetes
-          CALL solarlong(day_since_equinox, zlongi, dist)
-       ELSE
-          ! calcul selon la routine utilisee pour l'AR4
-          CALL orbite(REAL(days_elapsed+1),zlongi,dist)
-       ENDIF
+      IF (new_orbit) THEN
+        ! calcul selon la routine utilisee pour les planetes
+        CALL solarlong(day_since_equinox, zlongi, dist)
+      ELSE
+        ! calcul selon la routine utilisee pour l'AR4
+        CALL orbite(REAL(days_elapsed + 1), zlongi, dist)
+      ENDIF
     ELSE
-       zlongi=solarlong0  ! longitude solaire vraie
-       dist=1.            ! distance au soleil / moyenne 
+      zlongi = solarlong0  ! longitude solaire vraie
+      dist = 1.            ! distance au soleil / moyenne
     ENDIF
 
-    IF (prt_level>=1) write(lunout,*)'Longitude solaire ',zlongi,solarlong0,dist
+    IF (prt_level>=1) write(lunout, *)'Longitude solaire ', zlongi, solarlong0, dist
 
 
@@ -2703,66 +2673,66 @@
     ! Cet ensoleillement est sym\'etrique autour de l'\'equateur et
     ! non nul aux poles.
-    IF (abs(solarlong0-1000.)<1.e-4) THEN
-       CALL zenang_an(iflag_cycle_diurne>=1,jH_cur, &
-            latitude_deg,longitude_deg,rmu0,fract)
-       swradcorr(:) = 1.0
-       JrNt(:) = 1.0
-       zrmu0(:) = rmu0(:)
+    IF (abs(solarlong0 - 1000.)<1.e-4) THEN
+      CALL zenang_an(iflag_cycle_diurne>=1, jH_cur, &
+              latitude_deg, longitude_deg, rmu0, fract)
+      swradcorr(:) = 1.0
+      JrNt(:) = 1.0
+      zrmu0(:) = rmu0(:)
     ELSE
-       ! recode par Olivier Boucher en sept 2015
-       SELECT CASE (iflag_cycle_diurne)
-       CASE(0)  
-          !  Sans cycle diurne
-          CALL angle(zlongi, latitude_deg, fract, rmu0)
-          swradcorr = 1.0
-          JrNt = 1.0
-          zrmu0 = rmu0
-       CASE(1)  
-          !  Avec cycle diurne sans application des poids
-          !  bit comparable a l ancienne formulation cycle_diurne=true
-          !  on integre entre gmtime et gmtime+radpas
-          zdtime=phys_tstep*REAL(radpas) ! pas de temps du rayonnement (s)
-          CALL zenang(zlongi,jH_cur,0.0,zdtime, &
-               latitude_deg,longitude_deg,rmu0,fract)
-          zrmu0 = rmu0
-          swradcorr = 1.0
-          ! Calcul du flag jour-nuit
-          JrNt = 0.0
-          WHERE (fract>0.0) JrNt = 1.0
-       CASE(2)  
-          !  Avec cycle diurne sans application des poids
-          !  On integre entre gmtime-pdtphys et gmtime+pdtphys*(radpas-1)
-          !  Comme cette routine est appele a tous les pas de temps de
-          !  la physique meme si le rayonnement n'est pas appele je
-          !  remonte en arriere les radpas-1 pas de temps
-          !  suivant. Petite ruse avec MOD pour prendre en compte le
-          !  premier pas de temps de la physique pendant lequel
-          !  itaprad=0
-          zdtime1=phys_tstep*REAL(-MOD(itaprad,radpas)-1)      
-          zdtime2=phys_tstep*REAL(radpas-MOD(itaprad,radpas)-1) 
-          CALL zenang(zlongi,jH_cur,zdtime1,zdtime2, &
-               latitude_deg,longitude_deg,rmu0,fract)
-          !
-          ! Calcul des poids
-          !
-          zdtime1=-phys_tstep !--on corrige le rayonnement pour representer le
-          zdtime2=0.0    !--pas de temps de la physique qui se termine
-          CALL zenang(zlongi,jH_cur,zdtime1,zdtime2, &
-               latitude_deg,longitude_deg,zrmu0,zfract)
-          swradcorr = 0.0
-          WHERE (rmu0>=1.e-10 .OR. fract>=1.e-10) &
-               swradcorr=zfract/fract*zrmu0/rmu0
-          ! Calcul du flag jour-nuit
-          JrNt = 0.0
-          WHERE (zfract>0.0) JrNt = 1.0
-       END SELECT
+      ! recode par Olivier Boucher en sept 2015
+      SELECT CASE (iflag_cycle_diurne)
+      CASE(0)
+        !  Sans cycle diurne
+        CALL angle(zlongi, latitude_deg, fract, rmu0)
+        swradcorr = 1.0
+        JrNt = 1.0
+        zrmu0 = rmu0
+      CASE(1)
+        !  Avec cycle diurne sans application des poids
+        !  bit comparable a l ancienne formulation cycle_diurne=true
+        !  on integre entre gmtime et gmtime+radpas
+        zdtime = phys_tstep * REAL(radpas) ! pas de temps du rayonnement (s)
+        CALL zenang(zlongi, jH_cur, 0.0, zdtime, &
+                latitude_deg, longitude_deg, rmu0, fract)
+        zrmu0 = rmu0
+        swradcorr = 1.0
+        ! Calcul du flag jour-nuit
+        JrNt = 0.0
+        WHERE (fract>0.0) JrNt = 1.0
+      CASE(2)
+        !  Avec cycle diurne sans application des poids
+        !  On integre entre gmtime-pdtphys et gmtime+pdtphys*(radpas-1)
+        !  Comme cette routine est appele a tous les pas de temps de
+        !  la physique meme si le rayonnement n'est pas appele je
+        !  remonte en arriere les radpas-1 pas de temps
+        !  suivant. Petite ruse avec MOD pour prendre en compte le
+        !  premier pas de temps de la physique pendant lequel
+        !  itaprad=0
+        zdtime1 = phys_tstep * REAL(-MOD(itaprad, radpas) - 1)
+        zdtime2 = phys_tstep * REAL(radpas - MOD(itaprad, radpas) - 1)
+        CALL zenang(zlongi, jH_cur, zdtime1, zdtime2, &
+                latitude_deg, longitude_deg, rmu0, fract)
+
+        ! Calcul des poids
+
+        zdtime1 = -phys_tstep !--on corrige le rayonnement pour representer le
+        zdtime2 = 0.0    !--pas de temps de la physique qui se termine
+        CALL zenang(zlongi, jH_cur, zdtime1, zdtime2, &
+                latitude_deg, longitude_deg, zrmu0, zfract)
+        swradcorr = 0.0
+        WHERE (rmu0>=1.e-10 .OR. fract>=1.e-10) &
+                swradcorr = zfract / fract * zrmu0 / rmu0
+        ! Calcul du flag jour-nuit
+        JrNt = 0.0
+        WHERE (zfract>0.0) JrNt = 1.0
+      END SELECT
     ENDIF
-    sza_o = ACOS (rmu0) *180./pi
+    sza_o = ACOS (rmu0) * 180. / pi
 
     IF (mydebug) THEN
-       CALL writefield_phy('u_seri',u_seri,nbp_lev)
-       CALL writefield_phy('v_seri',v_seri,nbp_lev)
-       CALL writefield_phy('t_seri',t_seri,nbp_lev)
-       CALL writefield_phy('q_seri',q_seri,nbp_lev)
+      CALL writefield_phy('u_seri', u_seri, nbp_lev)
+      CALL writefield_phy('v_seri', v_seri, nbp_lev)
+      CALL writefield_phy('t_seri', t_seri, nbp_lev)
+      CALL writefield_phy('q_seri', q_seri, nbp_lev)
     ENDIF
 
@@ -2771,6 +2741,6 @@
     ! Cela implique tous les interactions des sous-surfaces et la
     ! partie diffusion turbulent du couche limit.
-    ! 
-    ! Certains varibales de sorties de pbl_surface sont utiliser que pour 
+
+    ! Certains varibales de sorties de pbl_surface sont utiliser que pour
     ! ecriture des fihiers hist_XXXX.nc, ces sont :
     !   qsol,      zq2m,      s_pblh,  s_lcl,
